Since the upgrade zypper and yast2 are broken. When I use zipper to install or update packages I get a digest error. Zypper doesn't get a "wrong" digest it just doesn't calculate any :-( and the seg faults ( probably because the digest is empty)


# zypper update

Warning: Digest verification failed for file 'updateinfo.xml.gz'
[/var/cache/zypp/raw/UpdatesAfFDdN/repodata/updateinfo.xml.gz]

expected ea56add8fc0906735b589327ea516629ca40475d
but got

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum '..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Segmentation fault

On yast2 I get the following:

yast2 sw_single
terminate called after throwing an instance of 'YUIPluginException'
what(): Couldn't load plug-in qt
YaST got signal 6 at YCP file Wizard.ycp:708
/sbin/yast2: line 435: 23827 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

Any idea what is wrong ?

Normal rpm commands work.

Thank you
Markus